Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -64,5 +64,6 @@
     return Action::failure;
   }
-  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
+  std::vector<const atom *> selectedAtoms = const_cast<const World &>(World::getInstance()).
+      getAllAtoms(AtomsBySelection());
   World::getInstance().selectAllAtoms(AtomsByShape(*selectedShapes[0]));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
@@ -75,5 +76,5 @@
   std::vector<Shape*> selectedShapes = ShapeRegistry::getInstance().getSelectedShapes();
   World::getInstance().unselectAllAtoms(AtomsByShape(*selectedShapes[0]));
-  BOOST_FOREACH(atom *_atom, state->selectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->selectedAtoms)
     World::getInstance().selectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideVolumeAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -19,5 +19,5 @@
 #undef paramvalids
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (selectedAtoms)
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -57,5 +57,6 @@
 ActionState::ptr SelectionAllAtomsOfMoleculeAction::performCall() {
   LOG(1, "Selecting all atoms of currently selected molecule.");
-  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
+  std::vector<const atom *> selectedAtoms = const_cast<const World &>(World::getInstance()).
+      getAllAtoms(AtomsBySelection());
   World::getInstance().selectAllAtoms(AtomsByMoleculeSelection());
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
@@ -67,5 +68,5 @@
 
   World::getInstance().clearAtomSelection();
-  BOOST_FOREACH(atom *_atom, state->selectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->selectedAtoms)
     World::getInstance().selectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -21,5 +21,5 @@
 #undef paramvalids
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (selectedAtoms)
 
Index: src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -57,5 +57,6 @@
 ActionState::ptr SelectionAtomByElementAction::performCall() {
   LOG(1, "Selecting atoms of type " << *params.elemental.get());
-  std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
+  std::vector<const atom *> selectedAtoms =
+      const_cast<const World &>(World::getInstance()).getAllAtoms(AtomsBySelection());
   World::getInstance().selectAllAtoms(AtomByType(params.elemental.get()));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms selected.");
@@ -67,5 +68,5 @@
 
   World::getInstance().unselectAllAtoms(AtomByType(state->params.elemental.get()));
-  BOOST_FOREACH(atom *_atom, state->selectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->selectedAtoms)
     World::getInstance().selectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/AtomByElementAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByElementAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/AtomByElementAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -22,5 +22,5 @@
 (ElementValidator())
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (selectedAtoms)
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -63,5 +63,6 @@
     return Action::failure;
   }
-  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms((!AtomsBySelection()) && AtomsByShape(*selectedShapes[0]));
+  std::vector<const atom *> unselectedAtoms = const_cast<const World &>(World::getInstance()).
+      getAllAtoms((!AtomsBySelection()) && AtomsByShape(*selectedShapes[0]));
   World::getInstance().unselectAllAtoms(AtomsByShape(*selectedShapes[0]));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
@@ -74,5 +75,5 @@
   std::vector<Shape*> selectedShapes = ShapeRegistry::getInstance().getSelectedShapes();
   World::getInstance().selectAllAtoms(AtomsByShape(*selectedShapes[0]));
-  BOOST_FOREACH(atom *_atom, state->unselectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->unselectedAtoms)
     World::getInstance().unselectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideVolumeAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -18,5 +18,5 @@
 #undef paramvalids
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (unselectedAtoms)
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -57,5 +57,6 @@
 ActionState::ptr SelectionNotAllAtomsOfMoleculeAction::performCall() {
   LOG(1, "Unselecting all atoms of currently selected molecules.");
-  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
+  std::vector<const atom *> unselectedAtoms = const_cast<const World &>(World::getInstance()).
+      getAllAtoms(!AtomsBySelection());
   World::getInstance().unselectAllAtoms(AtomsByMoleculeSelection());
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
@@ -67,5 +68,5 @@
 
   World::getInstance().selectAllAtoms(AllAtoms());
-  BOOST_FOREACH(atom *_atom, state->unselectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->unselectedAtoms)
     World::getInstance().unselectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -21,5 +21,5 @@
 #undef paramvalids
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (unselectedAtoms)
 
Index: src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -57,5 +57,6 @@
 ActionState::ptr SelectionNotAtomByElementAction::performCall() {
   LOG(1, "Unselecting atoms of type " << *params.elemental.get());
-  std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
+  std::vector<const atom *> unselectedAtoms = const_cast<const World &>(World::getInstance()).
+      getAllAtoms(!AtomsBySelection());
   World::getInstance().unselectAllAtoms(AtomByType(params.elemental.get()));
   LOG(0, World::getInstance().countSelectedAtoms() << " atoms remain selected.");
@@ -67,5 +68,5 @@
 
   World::getInstance().selectAllAtoms(AtomByType(state->params.elemental.get()));
-  BOOST_FOREACH(atom *_atom, state->unselectedAtoms)
+  BOOST_FOREACH(const atom *_atom, state->unselectedAtoms)
     World::getInstance().unselectAtom(_atom);
 
Index: src/Actions/SelectionAction/Atoms/NotAtomByElementAction.def
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByElementAction.def	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
+++ src/Actions/SelectionAction/Atoms/NotAtomByElementAction.def	(revision a58c16f47065e9446b7916a407271c6544180022)
@@ -22,5 +22,5 @@
 (ElementValidator())
 
-#define statetypes (std::vector<atom*>)
+#define statetypes (std::vector<const atom*>)
 #define statereferences (unselectedAtoms)
 
